<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

class BackupController extends Controller
{
    public function __construct()
    {
        $this->middleware('permission:ver-respaldo|crear-respaldo', ['only' => ['Backup']]);
    }

    public function Backup()
    {
        $fecha = date('d-m-Y');
        $nombreArchivo = 'Respaldo-Teknologix-' . $fecha . '.zip';

        // Ejecutar el comando de respaldo
        $comando = "php " . base_path() . "/artisan backup:run --only-db --filename=" . $nombreArchivo;
        exec($comando);

        // Ruta
        $rutaArchivo = storage_path("app/private/Teknologix/" . $nombreArchivo);

        // Verificar si el archivo realmente existe antes de descargarlo
        if (!file_exists($rutaArchivo)) {
            return response()->json(["error" => "El archivo de respaldo no se generó"], 500);
        }

        // Descargar y eliminar después de enviar
        return response()->download($rutaArchivo)->deleteFileAfterSend(true);
    }
}
