<?php

namespace App\Http\Controllers;

use App\Models\Company;
use Illuminate\Http\Request;


class CompanyController extends Controller
{

    public function index()
    {
        $companies = Company::paginate(20);
        return view('companies.index', compact('companies'));
    }


    public function create()
    {
        return view('companies.create');
    }


    public function store(Request $request)
    {

        $company = new Company();
        $company->name = $request->name;

        $company->save();
        return redirect()->route('companies.index')->with('success', 'Empresa creado exitosamente.');
    }


    public function show(Company $company)
    {
        //
    }


    public function edit(Company $company)
    {
        return view('companies.edit', compact('company'));
    }


    public function update(Request $request, Company $company)
    {
        $validated = $request->validate([
            'name' => 'required|string|max:255',
        ]);

        $company->name = $request->name;

        $company->save();

        return redirect()->route('companies.index')->with('success', 'La empresa se ha actualizado exitosamente.');
    }

    public function destroy(Company $company)
    {

        if ($company->supportCases()->count() > 0) {
            return redirect()->route('companies.index')
                ->with('errors', 'No se puede eliminar la empresa porque tiene casos asociados.');
        }

        if ($company->clients()->count() > 0) {
            return redirect()->route('companies.index')
                ->with('errors', 'No se puede eliminar la empresa porque tiene clientes asociados.');
        }

        $company->delete();

        return redirect()->route('companies.index')->with('deleted', 'La empresa se ha eliminado exitosamente.');
    }
}
