<?php

namespace App\Listeners;

use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Support\Facades\Notification;
use Illuminate\Support\Facades\Log;
use App\Models\User;

use App\Events\TaskEvent;
use App\Notifications\TaskNotification;

class TaskListener
{
    /**
     * Create the event listener.
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     */
    public function handle(TaskEvent $event): void
    {
        // User::all()
        //     ->except($event->task->user_id)
        //     ->each(function(User $user) use ($event){
        //         Notification::send($user, new TaskNotification($event->task));
        // });

        User::all()
        ->except($event->task->user_id)
        ->each(function(User $user) use ($event){
            if ($user->id == $event->task->assigned_to) {
                Notification::send($user, new TaskNotification($event->task));
            }});
    }
}
