<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;


class Client extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'company_id'];

    public function company()
    {
        return $this->belongsTo(Company::class);
    }

    public function supportCases()
    {
        return $this->hasMany(SupportCase::class);
    }

    public function ratings()
    {
        return $this->hasMany(Rating::class);
    }
}
