<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;


class SupportCase extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'request_date',
        'type',
        'type_count',
        'company_id',
        'company_count',
        'client_id',
        'issue_description',
        'solution',
        'consultant_id',
        'consultant_case_count',
        'resolution_date',
        'start_time',
        'end_time',
        'opportunity'
    ];

    public function company()
    {
        return $this->belongsTo(Company::class);
    }

    public function client()
    {
        return $this->belongsTo(Client::class);
    }


    public function consultant()
    {
        return $this->belongsTo(User::class, 'consultant_id');
    }

    public function ratings()
    {
        return $this->hasMany(Rating::class);
    }
}
