<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

//spatie
use Spatie\Permission\Models\Permission;

class SeederTablaPermisos extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $permissions = [
        // permisos roles
        'ver-rol',
        'crear-rol',
        'editar-rol',
        'borrar-rol',
        // permisos usuarios
        'ver-usuario',
        'crear-usuario',
        'editar-usuario',
        'borrar-usuario',
        // permisos metas
        'ver-meta',
        'crear-meta',
        'editar-meta',
        'borrar-meta',
        // permisos soportes
        'ver-soporte',
        'crear-soporte',
        'editar-soporte',
        'borrar-soporte',
        // permisos tareas
        'ver-tarea',
        'crear-tarea',
        'editar-tarea',
        'borrar-tarea',
        // permisos reportes
        'ver-reportes',
        'reporte-metas',
        'reporte-soportes',
        // permisos graficas
        'ver-grafica',
        'grafica-metas',
        'grafica-soportes',
        // permisos calificaciones
        'ver-calificaciones',
        // permisos calificaciones
        'ver-notificaciones',
        // permisos respaldo
        'ver-respaldo',
        'crear-respaldo',
        ];
        foreach ($permissions as $permission) {
            Permission::firstOrCreate(['name' => $permission]);
        }
    }
}
