<x-guest-layout>
    <div class="flex justify-between items-center mb-4">
        <button onclick="closeForm()" class="text-xl pl-6 pt-4 text-gray-600 dark:text-gray-300">
            <i class="fa-solid fa-arrow-left"></i>
        </button>
    </div>

    <div class="flex justify-center pb-6">
        <x-application-lr class="fill-current text-gray-500" />
    </div>

    <div class="px-6">


        <div class="mb-4 text-justify text-gray-600 dark:text-gray-400">
            {{ __('¿Olvidaste tu contraseña? No hay problema. Solo indícanos tu dirección de correo electrónico y te enviaremos un enlace para restablecer la contraseña, el cual te permitirá elegir una nueva.') }}
        </div>

        <!-- Session Status -->
        <x-auth-session-status class="mb-4" :status="session('status')" />

        <form method="POST" action="{{ route('password.email') }}">
            @csrf

            <!-- Email Address -->
            <div>
                <x-input-label for="email" :value="__('Correo')" />
                <x-text-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')"
                    required autofocus />
                <x-input-error :messages="$errors->get('email')" class="mt-2" />
            </div>

            <div class="flex items-center justify-end mt-6 mb-2">
                <x-primary-button>
                    {{ __('ENVIAR ENLACE') }}
                </x-primary-button>
            </div>
        </form>
    </div>
    <script>
        function closeForm() {
            window.history.back();
        }
    </script>
</x-guest-layout>
