<x-guest-layout>
    <!-- Session Status -->
    <x-auth-session-status class="mb-4" :status="session('status')" />

    <div class="flex flex-column">
        <div class="bg-naranja w-6 mr-4">

        </div>
        <div class="w-full py-8">
            <di class="flex pb-4 justify-center text-white dark:text-slate-400">
                <p class="text-3xl font-bold text-gray-700 dark:text-gray-300">BIENVENIDOS</p>

            </di>

            <div class="flex justify-center py-4" x-data="{ darkMode: window.matchMedia('(prefers-color-scheme: dark)').matches }" x-init="window.matchMedia('(prefers-color-scheme: dark)').addEventListener('change', event => darkMode = event.matches)">

                <template x-if="darkMode">
                    <x-application-dark-logo class="fill-current text-gray-500" />
                </template>

                <template x-if="!darkMode">
                    <x-application-lr class="fill-current text-gray-500" />
                </template>
            </div>




            <form method="POST" action="{{ route('login') }}" class="mr-4">
                @csrf


                <!-- Email Address -->
                <div>
                    <x-input-label for="email" :value="__('Correo')" />
                    <x-text-input id="email" class="block mt-1 w-full" type="email" name="email"
                        :value="old('email')" required autofocus autocomplete="username" />
                    <x-input-error :messages="$errors->get('email')" class="mt-2" />
                </div>

                <!-- Password -->
                <div class="mt-4">
                    <x-input-label for="password" :value="__('Contraseña')" />

                    <x-text-input id="password" class="block mt-1 w-full" type="password" name="password" required
                        autocomplete="current-password" />

                    <x-input-error :messages="$errors->get('password')" class="mt-2" />
                </div>

                <!-- Remember Me -->
                <div class="flex space-x-3 mt-4">
                    <label for="remember_me" class="inline-flex items-center">
                        <input id="remember_me" type="checkbox"
                            class=" border-gray-300 rounded shadow-sm dark:bg-slate-600 dark:border-gray-500
                             focus:ring-slate-400"
                            name="remember">
                        <span
                            class="ms-2 text-xs text-gray-600 dark:text-gray-300 
                            focus:border-slate-400 focus:ring-slate-400">{{ __('Recordarme') }}</span>
                    </label>

                    @if (Route::has('password.request'))
                        <a class="text-xs border-gray-300 hover:text-slate-400 text-gray-600 dark:text-gray-300
                            focus:border-slate-400 focus:ring-slate-400"
                            href="{{ route('password.request') }}">
                            {{ __('Olvidaste tu contraseña?') }}
                        </a>
                    @endif


                </div>


                <div class="flex items-center justify-end mt-4">
                    <x-primary-button class="ms-3">
                        {{ __('Iniciar sesión') }}
                    </x-primary-button>
                </div>
            </form>
        </div>

    </div>


</x-guest-layout>
