<x-app-layout>
    <div class="fixed inset-0 flex justify-center items-center bg-gray-800 bg-opacity-50">
        <div class="bg-white dark:bg-slate-800 p-6 rounded-lg w-full md:w-2/3 lg:w-1/2">

            <div class="flex justify-between items-center mb-4">
                <button onclick="closeForm()" class="text-xl text-gray-600 dark:text-gray-300">
                    <i class="fas fa-times"></i>
                </button>
            </div>

            <div class="pb-4">
                <h2 class="text-2xl text-center font-semibold text-gray-800 dark:text-gray-300">
                    @isset($company)
                        Editar Empresa
                    @else
                        Nueva Empresa
                    @endisset
                </h2>
            </div>

            <form id="companyForm"
                action="{{ isset($company) ? route('companies.update', $company->id) : route('companies.store') }}"
                method="POST">
                @csrf
                @isset($company)
                    @method('PUT')
                @endisset

                <div class="grid grid-cols-1 md:grid-cols-1 gap-4">
                    <div class="space-y-4">
                        <label for="name"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Nombre</label>
                        <input type="text" name="name" id="name"
                            value="{{ old('name', $company->name ?? '') }}" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm
                            text-gray-600 focus:border-slate-400 focus:ring-slate-400
                            dark:text-gray-700
                            ">
                        <span id="nameError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        @if ($errors->has('name'))
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic">{{ $errors->first('name') }}</span>
                        @endif
                    </div>

                </div>

                <div class="flex justify-end mt-6">
                    <button type="submit"
                        class="bg-naranja text-white py-2 px-6 rounded-md hover:bg-naranja-dark focus:outline-none focus:ring-2 focus:ring-naranja focus:ring-opacity-50">
                        Guardar
                    </button>
                </div>
            </form>
        </div>
    </div>

    <script>
        function closeForm() {
            window.history.back();
        }
    </script>
</x-app-layout>
