<x-app-layout>
    <style>
        #calendar {
            overflow: hidden;
        }

        .fc-scroller {
            overflow: auto !important;
        }
    </style>
    <div class="grid grid-cols-1 gap-4 p-4 md:grid-cols-6">
        <div class="md:col-span-5">
            <div class="grid gap-4 p-4 bg-white dark:bg-slate-800 bg-opacity-50 rounded-lg shadow-md">
                <div>
                    <div class="h-6 bg-naranja w-32 rounded-xl">
                        <p class="px-2 text-white">Metas</p>
                    </div>
                    <div class="grid grid-cols-2 sm:grid-cols-3 md:grid-cols-5 gap-4 mt-2">
                        @foreach ($users as $user)
                            <div
                                class="h-60 bg-gray-100 dark:bg-slate-600 hover:bg-slate-200 dark:hover:bg-slate-500 bg-opacity-40 rounded-xl p-4 flex flex-col">
                                <div class="flex flex-col flex-grow">
                                    <div class="flex items-center justify-center">
                                        <img src="{{ asset('img/photo.png') }}" alt="Profile photo"
                                            class="w-10 h-10 rounded-full">
                                    </div>
                                    <p class="font-semibold text-center text-gray-800 dark:text-gray-300">
                                        {{ explode(' ', $user->name)[0] }}
                                    </p>

                                    @if ($user->goals->count() > 0)
                                        <ul class="mt-2 overflow-hidden max-h-24">
                                            @foreach ($user->goals->where('week_number', $currentWeekNumber)->take(4) as $goal)
                                                <li
                                                    class="text-xs text-justify text-gray-800 dark:text-gray-300 mb-1 truncate">
                                                    {{ $goal->title }}
                                                </li>
                                            @endforeach
                                        </ul>

                                        <div class="mt-auto">
                                            <div class="flex items-center mt-2 mb-2">
                                                <div class="flex-1 bg-gray-300 h-4 mx-2 rounded-lg">
                                                    <div class="bg-naranja h-4 rounded-lg text-gray-800 dark:text-gray-300"
                                                        style="width: {{ $user->progress }}%;"></div>
                                                </div>
                                            </div>

                                            <div
                                                class="text-center text-sm font-semibold text-gray-600 dark:text-gray-300">
                                                {{ number_format($user->progress, 2) }}%
                                            </div>
                                        </div>
                                    @else
                                        <p class="text-center text-xs text-gray-600 dark:text-gray-300">No hay metas
                                            para esta semana</p>
                                    @endif
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>

                <div>
                    <div class="h-6 bg-naranja w-32 rounded-xl">
                        <p class="px-2 text-white">Tareas</p>
                    </div>
                    <div class="grid grid-cols-2 sm:grid-cols-3 md:grid-cols-5 gap-4 mt-2">
                        @foreach ($tasksByDay as $day => $tasks)
                            <div
                                class="h-44 bg-gray-100 dark:bg-slate-600 hover:bg-slate-200 dark:hover:bg-slate-500 bg-opacity-40 rounded-xl p-4 flex flex-col">
                                <p class="font-semibold text-center text-gray-800 dark:text-gray-300">
                                    {{ $day }}</p>

                                @if ($tasks->count() > 0)
                                    <ul class="mt-2">
                                        @foreach ($tasks as $task)
                                            <li class="text-xs text-justify text-gray-800 dark:text-gray-300 mb-1">
                                                {{ $task->activity }} :
                                                <span class="">
                                                    {{ explode(' ', $task->assignedUser->name)[0] }}
                                                </span>
                                            </li>
                                        @endforeach
                                    </ul>
                                @else
                                    <p class="text-center text-xs text-gray-600 dark:text-gray-300">No hay tareas</p>
                                @endif
                            </div>
                        @endforeach
                    </div>
                </div>

            </div>
        </div>

        <div class="md:col-span-1">
            <div class="md:w-full w-full grid gap-4 p-4 bg-white dark:bg-slate-800 bg-opacity-50 rounded-lg shadow-md">
                <div>
                    <div class="flex flex-1 h-6 bg-naranja w-full rounded-xl items-center justify-between">
                        <p class="px-2 text-white">Semana</p>
                        <span class="text-white pr-2">{{ $weekNumber }}</span>
                    </div>

                    <div
                        class="h-60 space-y-8 w-full bg-gray-100 dark:bg-slate-600 hover:bg-slate-200 dark:hover:bg-slate-500 bg-opacity-40 rounded-xl mt-2 overflow-y-hidden">
                        <div class="flex justify-center mt-4">
                            <p class="text-xl text-bold uppercase text-gray-800 dark:text-gray-300">{{ $monthName }}
                            </p>
                        </div>

                        <div class="flex justify-center">
                            <p class="text-xl pr-2 text-gray-800 dark:text-gray-300 uppercase">{{ $nombreDia }}</p>
                            <p class="text-xl text-gray-800 dark:text-gray-300">{{ $diaDelMes }}</p>
                        </div>

                        <div class="flex flex-col items-center">
                            <p class="text-sm text-gray-800 dark:text-gray-300">{{ $startOfWeekFormatted }}</p>
                            <p class="text-sm text-gray-800 dark:text-gray-300">al</p>
                            <p class="text-sm text-gray-800 dark:text-gray-300">{{ $endOfWeekFormatted }}</p>
                        </div>
                    </div>
                </div>
                <div>
                    <div class="h-6 bg-naranja w-32 rounded-xl">
                        <p class="px-2 text-white">Notificaciones</p>
                    </div>
                    <div
                        class="h-44 bg-gray-100 dark:bg-slate-600 hover:bg-slate-200 dark:hover:bg-slate-500 bg-opacity-40 rounded-xl mt-2">
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
