<x-app-layout>
    <div class="fixed inset-0 flex justify-center items-center bg-gray-800 bg-opacity-50">
        <div class="bg-white dark:bg-slate-800 p-6 rounded-lg w-full md:w-2/3 lg:w-1/2">

            <div class="flex justify-between items-center mb-4">
                <button onclick="closeForm()" class="text-xl text-gray-600 dark:text-gray-300">
                    <i class="fas fa-times"></i>
                </button>
            </div>

            <div class="pb-4">
                <h2 class="text-2xl text-center font-semibold text-gray-800 dark:text-gray-300">
                    @isset($goal)
                        Editar Meta
                    @else
                        Nueva Meta
                    @endisset
                </h2>
            </div>

            <form id="goalForm" action="{{ isset($goal) ? route('goals.update', $goal->id) : route('goals.store') }}"
                method="POST">
                @csrf
                @isset($goal)
                    @method('PUT')
                @endisset

                <div class="grid grid-cols-1 md:grid-cols-2 gap-4">
                    <div class="space-y-4">
                        <label for="title"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Título</label>
                        <input type="text" name="title" id="title"
                            value="{{ old('title', $goal->title ?? '') }}" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm text-gray-600 dark:text-gray-700
                            focus:border-slate-400 focus:ring-slate-400">
                        <span id="titleError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        @if ($errors->has('title'))
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic">{{ $errors->first('title') }}</span>
                        @endif

                        <label for="total_goals"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Cantidad</label>
                        <input type="number" name="total_goals" id="total_goals"
                            value="{{ old('total_goals', $goal->total_goals ?? '') }}" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm text-gray-600 dark:text-gray-700
                            focus:border-slate-400 focus:ring-slate-400">
                        <span id="totalGoalsError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        @if ($errors->has('total_goals'))
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic">{{ $errors->first('total_goals') }}</span>
                        @endif

                        <label for="start_date" class="block text-sm font-medium text-gray-700 dark:text-gray-300">Fecha
                            de inicio</label>
                        <input type="date" name="start_date" id="start_date"
                            value="{{ old('start_date', $goal->start_date ?? '') }}" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm text-gray-600 dark:text-gray-700
                            focus:border-slate-400 focus:ring-slate-400">
                        <span id="startDateError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        @if ($errors->has('start_date'))
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic">{{ $errors->first('start_date') }}</span>
                        @endif
                    </div>

                    <div class="space-y-4">
                        <label for="description"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Descripción</label>
                        <textarea name="description" id="description" rows="1" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm text-gray-600 dark:text-gray-700
                            focus:border-slate-400 focus:ring-slate-400
                            ">{{ old('description', $goal->description ?? '') }}</textarea>
                        <span id="descriptionError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        @if ($errors->has('description'))
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic">{{ $errors->first('description') }}</span>
                        @endif

                        <label for="completed_goals"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Completadas</label>
                        <input type="number" name="completed_goals" id="completed_goals"
                            value="{{ old('completed_goals', $goal->completed_goals ?? '') }}" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm text-gray-600 dark:text-gray-700
                            focus:border-slate-400 focus:ring-slate-400">
                        <span id="completedGoalsError"
                            class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        @if ($errors->has('completed_goals'))
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic">{{ $errors->first('completed_goals') }}</span>
                        @endif

                        <label for="end_date" class="block text-sm font-medium text-gray-700 dark:text-gray-300">Fecha
                            final</label>
                        <input type="date" name="end_date" id="end_date"
                            value="{{ old('end_date', $goal->end_date ?? '') }}" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm text-gray-600 dark:text-gray-700
                            focus:border-slate-400 focus:ring-slate-400">
                        <span id="endDateError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        @if ($errors->has('end_date'))
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic">{{ $errors->first('end_date') }}</span>
                        @endif
                    </div>
                </div>

                <!-- Botón de guardar -->
                <div class="flex justify-end mt-6">
                    <button type="submit"
                        class="bg-naranja text-white py-2 px-6 rounded-md hover:bg-naranja-dark focus:outline-none focus:ring-2 focus:ring-naranja focus:ring-opacity-50">
                        Guardar
                    </button>
                </div>
            </form>
        </div>
    </div>

    <script>
        function closeForm() {
            window.history.back();
        }
    </script>

</x-app-layout>
