<nav x-data="{ open: false }"
    class="bg-white border-b border-gray-100 dark:bg-gray-800 dark:border-gray-700 transition-all duration-300">

    <div class="px-4 mx-auto max-w-7xl sm:px-6 lg:px-8">
        <div class="flex justify-between h-16">
            <div class="flex">
                <!-- Navigation Links -->
                <div class="hidden space-x-8 sm:-my-px sm:ms-10 sm:flex">

                </div>
            </div>

            <!-- Settings Dropdown -->
            <div class="hidden sm:flex sm:items-center sm:ms-6">
                <ul class="ml-auto flex space-x-4">
                    <li class="relative" x-data="{ open: false }">
                        <a @click="open = !open" class="text-gray-800 hover:text-gray-600 dark:text-gray-300"
                            href="#">
                            <i class="fa-solid fa-bell"></i>
                            @if (count(auth()->user()->unreadNotifications))
                                <span
                                    class="px-2 py-1 text-xs font-bold text-yellow-800 bg-yellow-300 rounded-full">{{ count(auth()->user()->unreadNotifications) }}</span>
                            @endif
                        </a>
                        <div x-show="open" x-transition
                            class="absolute right-0 mt-2 w-64 bg-white shadow-lg rounded-lg py-2 overflow-hidden z-50 dark:bg-gray-800">
                            <div class="px-4 py-2 font-semibold text-gray-700 text-xs text-center dark:text-gray-100">
                                Tus notificaciones</div>
                            <div class="border-t"></div>
                            <div class="px-4 py-2 font-semibold text-gray-700 text-xs dark:text-gray-100">Notificaciones
                                no leidas</div>
                            @forelse (auth()->user()->unreadNotifications as $notification)
                                <a href="#" class="block px-4 py-2 text-sm text-gray-600 hover:bg-gray-100">
                                    <i class="fas fa-envelope mr-2"></i> {{ $notification->data['activity'] }}
                                    <span
                                        class="float-right text-xs text-gray-500">{{ $notification->created_at->diffForHumans() }}</span>
                                </a>
                            @empty
                                <span class="px-4 py-2 text-gray-500 text-xs dark:text-gray-100">Sin notificaciones por
                                    leer</span>
                            @endforelse
                            <div class="border-t"></div>
                            <div class="px-4 py-2 font-semibold text-gray-700 text-xs dark:text-gray-100">Notificaciones
                                leidas</div>
                            @forelse (auth()->user()->readNotifications as $notification)
                                <a href="#" class="block px-4 py-2 text-sm text-gray-600 hover:bg-gray-100">
                                    <i class="fas fa-users mr-2"></i> {{ $notification->data['activity'] }}
                                    <span
                                        class="float-right text-xs text-gray-500">{{ $notification->created_at->diffForHumans() }}</span>
                                </a>
                            @empty
                                <span class="px-4 py-2 text-gray-500 text-xs dark:text-gray-100">Sin notificaciones
                                    leidas</span>
                            @endforelse
                            <div class="border-t"></div>
                            <a href="{{ route('marcarLeidas') }}"
                                class="block px-4 py-2 text-xs text-gray-600 hover:bg-gray-100 text-center dark:text-gray-100">Marcar
                                leidas</a>
                        </div>
                    </li>
                </ul>

                {{-- <x-dropdown align="right" width="48">
                    <x-slot name="trigger">
                        <button
                            class="inline-flex items-center px-3 py-2 text-sm font-medium leading-4 text-gray-500 transition duration-150 ease-in-out bg-white border border-transparent rounded-md dark:text-gray-400 dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none">
                            <div>{{ Auth::user()->name }}</div>

                            <div class="ms-1">
                                <svg class="w-4 h-4 fill-current" xmlns="http://www.w3.org/2000/svg"
                                    viewBox="0 0 20 20">
                                    <path fill-rule="evenodd"
                                        d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                                        clip-rule="evenodd" />
                                </svg>
                            </div>
                        </button>
                    </x-slot>

                    <x-slot name="content">
                        <x-dropdown-link :href="route('profile.edit')">
                            {{ __('Profile') }}
                        </x-dropdown-link>


                        <!-- Authentication -->
                        <form method="POST" action="{{ route('logout') }}">
                            @csrf

                            <x-dropdown-link :href="route('logout')"
                                onclick="event.preventDefault();
                                                this.closest('form').submit();">
                                {{ __('Log Out') }}
                            </x-dropdown-link>
                        </form>
                    </x-slot>

                    

                </x-dropdown> --}}

                <div x-data="{ open: false }" class="relative bg-gray-100  dark:bg-gray-800 dark:border-gray-700">
                    <button @click="open = !open"
                        class="inline-flex items-center px-3 py-2 text-sm font-medium leading-4 text-gray-500 transition duration-150 ease-in-out bg-white border border-transparent rounded-md dark:text-gray-400 dark:bg-gray-800 hover:text-gray-700 dark:hover:text-gray-300 focus:outline-none">
                        <div class="dark:text-gray-300">{{ Auth::user()->name }}</div>
                        <div class="ms-1">
                            <svg class="w-4 h-4 fill-current" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                                <path fill-rule="evenodd"
                                    d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z"
                                    clip-rule="evenodd" />
                            </svg>
                        </div>
                    </button>

                    <div x-show="open" @click.away="open = false"
                        class="absolute right-0 mt-2 w-48 bg-gray-100 dark:bg-gray-800 dark:border-gray-700 border rounded-md shadow-lg">
                        <a href="{{ route('profile.edit') }}"
                            class="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-400 dark:text-gray-300">
                            {{ __('Profile') }}
                        </a>

                        <form method="POST" action="{{ route('logout') }}" class="mt-2">
                            @csrf
                            <button type="submit"
                                class="block w-full px-4 py-2 text-sm text-gray-700 text-left dark:text-gray-300 hover:bg-gray-400">
                                {{ __('Log Out') }}
                            </button>
                        </form>
                    </div>
                </div>


            </div>

            <!-- Hamburger -->
            <div class="flex items-center -me-2 sm:hidden">
                <button @click="open = ! open"
                    class="inline-flex items-center justify-center p-2 text-gray-400 transition duration-150 ease-in-out rounded-md dark:text-gray-500 hover:text-gray-500 dark:hover:text-gray-400 hover:bg-gray-100 dark:hover:bg-gray-900 focus:outline-none focus:bg-gray-100 dark:focus:bg-gray-900 focus:text-gray-500 dark:focus:text-gray-400">
                    <svg class="w-6 h-6" stroke="currentColor" fill="none" viewBox="0 0 24 24">
                        <path :class="{ 'hidden': open, 'inline-flex': !open }" class="inline-flex"
                            stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
                            d="M4 6h16M4 12h16M4 18h16" />
                        <path :class="{ 'hidden': !open, 'inline-flex': open }" class="hidden" stroke-linecap="round"
                            stroke-linejoin="round" stroke-width="2" d="M6 18L18 6M6 6l12 12" />
                    </svg>
                </button>
            </div>
        </div>
    </div>

    <!-- Responsive Navigation Menu -->
    <div :class="{ 'block': open, 'hidden': !open }" class="hidden sm:hidden">
        <div class="pt-2 pb-3 space-y-1">
            <x-responsive-nav-link :href="route('dashboard')" :active="request()->routeIs('dashboard')">
                {{ __('Dashboard') }}
            </x-responsive-nav-link>
        </div>
        <!-- Notificacion hamburguer -->
        <ul class="ml-auto flex space-x-4">
            <li class="relative" x-data="{ open: false }">
                <a @click="open = !open" class="text-gray-800 hover:text-gray-600" href="#">
                    <i class="fa-solid fa-bell"></i>
                    @if (count(auth()->user()->unreadNotifications))
                        <span
                            class="px-2 py-1 text-xs font-bold text-yellow-800 bg-yellow-300 rounded-full">{{ count(auth()->user()->unreadNotifications) }}</span>
                    @endif
                </a>
                <div x-show="open" x-transition
                    class="absolute right-0 mt-2 w-64 bg-white shadow-lg rounded-lg py-2 overflow-hidden dark:bg-gray-800">
                    <div class="px-4 py-2 font-semibold text-gray-700 text-xs">Tus notificaciones</div>
                    <div class="border-t"></div>
                    <div class="px-4 py-2 font-semibold text-gray-700 text-xs dark:text-gray-100">Notificaciones no
                        leidas</div>
                    @forelse (auth()->user()->unreadNotifications as $notification)
                        <a href="#" class="block px-4 py-2 text-sm text-gray-600 hover:bg-gray-100">
                            <i class="fas fa-envelope mr-2"></i> {{ $notification->data['activity'] }}
                            <span
                                class="float-right text-xs text-gray-500">{{ $notification->created_at->diffForHumans() }}</span>
                        </a>
                    @empty
                        <span class="px-4 py-2 text-gray-500 text-xs dark:text-gray-100">Sin notificaciones por
                            leer</span>
                    @endforelse
                    <div class="border-t"></div>
                    <div class="px-4 py-2 font-semibold text-gray-700 text-xs dark:text-gray-100">Notificaciones leidas
                    </div>
                    @forelse (auth()->user()->readNotifications as $notification)
                        <a href="#" class="block px-4 py-2 text-sm text-gray-600 hover:bg-gray-100">
                            <i class="fas fa-users mr-2"></i> {{ $notification->data['activity'] }}
                            <span
                                class="float-right text-xs text-gray-500">{{ $notification->created_at->diffForHumans() }}</span>
                        </a>
                    @empty
                        <span class="px-4 py-2 text-gray-500 text-xs dark:text-gray-100">Sin notificaciones
                            leidas</span>
                    @endforelse
                    <div class="border-t"></div>
                    <a href="{{ route('marcarLeidas') }}"
                        class="block px-4 py-2 text-sm text-gray-600 hover:bg-gray-100 dark:text-gray-100">Marcar
                        leidas</a>
                </div>
            </li>
        </ul>

        <!-- Responsive Settings Options -->
        <div class="pt-4 pb-1 border-t border-gray-200 dark:border-gray-600">
            <div class="px-4">
                <div class="text-base font-medium text-gray-800 dark:text-gray-200">{{ Auth::user()->name }}</div>
                <div class="text-sm font-medium text-gray-500">{{ Auth::user()->email }}</div>
            </div>

            <div class="mt-3 space-y-1">
                <x-responsive-nav-link :href="route('profile.edit')">
                    {{ __('Profile') }}
                </x-responsive-nav-link>

                <!-- Authentication -->
                <form method="POST" action="{{ route('logout') }}">
                    @csrf

                    <x-responsive-nav-link :href="route('logout')"
                        onclick="event.preventDefault();
                                        this.closest('form').submit();">
                        {{ __('Log Out') }}
                    </x-responsive-nav-link>
                </form>
            </div>
        </div>
    </div>
</nav>
