<x-app-layout>
    <h2 class="font-bold text-xl text-gray-800 leading-tight lg:px-8 py-2 dark:text-white">
        {{ __('REPORTES') }}
    </h2>
    <div class="py-2">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-6 dark:bg-gray-800">
                <!-- <h2 class="text-lg font-bold mb-4">Generar reportes</h2> -->
                <div class="grid grid-cols-1 xl:grid-cols-2 gap-6">
                    @can('reporte-metas')
                    <div class="bg-gray-100 p-6 rounded-xl shadow-md w-full sm:w-80 md:w-96 lg:w-[420px] mx-auto dark:bg-gray-800">
                        <h3 class="text-lg font-semibold mb-3 dark:text-white">Reporte de tus metas</h3>
                        <p class="text-gray-600 mb-4 dark:text-gray-100">Genera un informe de tus metas por semana</p>
                        <img src="{{ asset('img/reports.png') }}" height="100 px" width="200 px" alt="Reporte de metas" class="mx-auto mb-4">
                        <form action="{{ route('reports.metas') }}" method="GET" class="mb-4">
                            <div class="text-center">
                                <label for="semana" class="font-bold dark:text-gray-100">Selecciona la semana:</label>
                                <input type="number" id="semana" name="semana" min="1" max="52" class="border p-2 rounded" required>
                                    <button type="submit" class="bg-naranja hover:bg-orange-700 text-white font-bold py-2 px-4 rounded mt-4 text-center">
                                        Generar reporte
                                    </button>
                            </div>
                        </form>
                    </div>
                    @endcan

                    @can('reporte-soportes')
                    <div class="bg-gray-100 p-6 rounded-xl shadow-md w-full sm:w-80 md:w-96 lg:w-[420px] mx-auto dark:bg-gray-800">
                        <h3 class="text-lg font-semibold mb-3 dark:text-white">Reporte de soportes</h3>
                        <p class="text-gray-600 mb-4 dark:text-gray-100">Genera un informe de los soportes por mes</p>
                        <img src="{{ asset('img/reports.png') }}" height="100 px" width="200 px" alt="Reporte de soportes" class="mx-auto mb-4">
                        <form action="{{ route('reports.supports') }}" method="GET" class="mb-4">
                            <div class="text-center">
                                <label for="mes" class="font-bold dark:text-gray-100">Selecciona el mes:</label>
                                <input type="number" id="mes" name="mes" min="1" max="52" class="border p-2 rounded" required>
                                    <button type="submit" class="bg-naranja hover:bg-orange-700 text-white font-bold py-2 px-4 rounded mt-4">
                                        Generar reporte
                                    </button>
                            </div>
                        </form>
                    </div>
                    @endcan
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
