<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Reporte de metas</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color:rgb(255, 255, 255);
            margin: 0;
            padding: 20px;
        }

        .header {
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-bottom: 20px;
        }

        .header img {
            height: 30px;
        }

        #img1 {
            float: left;
        }

        #img2 {
            float: right;
        }

        .header h2 {
            font-size: 24px;
            font-weight: bold;
            text-align: center;
            flex-grow: 1;
            margin-right: 50px;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }

        th, td {
            padding: 5px;
            text-align: center;
            font-size: 12px;
        }

        th {
            background-color:rgb(243, 144, 79);
        }

        tbody tr:nth-child(odd) {
            background-color: #f9f9f9;
        }

        tbody tr:nth-child(even) {
            background-color: #ffffff;
        }

        tr:nth-child(even) {
            background-color: #f9f9f9;
        }

        tr:hover {
            background-color: #f1f1f1;
        }
    </style>
</head>
<body>
    <div class="header">
        <img src="{{ public_path('img/lr.png') }}" alt="Logo teknoLogix izquierda" id="img1">
        <img src="{{ public_path('img/lr.png') }}" alt="Logo teknoLogix derecha" id="img2">
        <h2>Metas {{ auth()->user()->name }}</h2>
    </div>
    <table>
        <thead>
            <tr>
                <th>#</th>
                <th>Título</th>
                <th>Descripción</th>
                <th>Cantidad</th>
                <th>Completadas</th>
                <th>Fecha Inicio</th>
                <th>Fecha Fin</th>
                <th>Creado</th>
                <th>Actualizado</th>
            </tr>
        </thead>
        <tbody>
            @foreach($metas as $meta)
            <tr>
                <td>{{ $meta->user_id }}</td>
                <td>{{ $meta->title }}</td>
                <td>{{ $meta->description }}</td>
                <td>{{ $meta->total_goals }}</td>
                <td>{{ $meta->completed_goals }}</td>
                <td>{{ $meta->start_date }}</td>
                <td>{{ $meta->end_date }}</td>
                <td>{{ $meta->created_at->format('d/m/Y') }}</td>
                <td>{{ $meta->updated_at->format('d/m/Y') }}</td>
            </tr>
            @endforeach
        </tbody>
    </table>
</body>
</html>
