<x-app-layout>
    <h2 class="font-bold text-xl text-gray-800 leading-tight lg:px-8 py-2 dark:text-white">
        {{ __('NUEVO ROL') }}
    </h2>

    <div class="py-2">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg dark:bg-gray-800">
                <div class="p-6 text-gray-900 dark:text-gray-100">
                    <div class="flex justify-end items-center mb-4">
                        <button onclick="window.location='{{ route('roles.index') }}'" class="text-xl text-gray-600 dark:text-gray-300">
                            <i class="fas fa-times"></i>
                        </button>
                    </div>
                    @if ($errors->any())
                        <div class="bg-red-100 border border-red-400 text-red-700 px-4 py-3 rounded relative" role="alert">
                            <strong class="font-bold">¡Revise los campos!</strong>
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                            <span class="absolute top-0 bottom-0 right-0 px-4 py-3">
                                <svg class="fill-current h-6 w-6 text-red-500" role="button" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M14.348 5.652a8 8 0 11-11.696 11.696 8 8 0 0111.696-11.696zM10 3a7 7 0 10-7 7 7 7 0 007-7zM8 9V7h4v2H8zm0 4V11h4v2H8z" /></svg>
                            </span>
                        </div>
                    @endif

                    <form id="rolesForm" action="{{ route('roles.store') }}" method="POST">
                        @csrf
                        <div class="space-y-2">
                            <div>
                                <label for="name" class="block font-medium text-gray-700 dark:text-gray-300">Nombre del rol</label>
                                <input id="name" type="text" name="name" id="name" class="mt-1 block w-full border border-gray-300 rounded-md shadow-sm focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm dark:text-gray-700" value="{{ old('name') }}" required>
                                <span id="name-error" class="text-red-500 text-xs"></span>
                            </div>

                            <div>
                                <label class="block font-medium text-gray-700 dark:text-gray-300">Permisos para el rol</label>
                                <div class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 gap-4 mt-2">
                                    @foreach($permission as $value)
                                        <div class="flex items-center">
                                            <input type="checkbox" name="permission[]" value="{{ $value->name }}" id="permission_{{ $value->name }}" class="h-4 w-4 text-indigo-600 border-gray-300 rounded hover:bg-orange-700 checked:bg-naranja dark:text-gray-700">
                                            <label for="permission_{{ $value->name }}" class="ml-2 block text-sm text-gray-900 dark:text-gray-300">{{ $value->name }}</label>
                                            <span id="permission-error" class="text-red-500 text-xs"></span>
                                        </div>
                                    @endforeach
                                </div>
                            </div>

                            <div class="pt-4 text-center">
                                <button type="submit" class="px-4 py-2 bg-naranja text-white font-bold rounded-md hover:bg-orange-700 focus:outline-none">
                                    Guardar
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
