<x-app-layout>
    @if (session()->has('success'))
        <div id="messageModal" class="fixed inset-0 flex items-center justify-center z-50">
            <div class="bg-white border border-gray-300 rounded-lg shadow-lg p-6 text-center max-w-sm w-full">
                <div class="text-green-700 bg-white border-l-4 border-green-500 p-3 rounded-lg">
                    <strong>Éxito:</strong> {{ session()->get('success') }}
                </div>
            </div>
        </div>
    @endif

    <!-- Modal de confirmación -->
    <div id="deleteRoleModal" class="fixed inset-0 flex items-center justify-center z-50 hidden">
        <div class="bg-white border border-gray-300 rounded-lg shadow-lg p-6 text-center max-w-sm w-full dark:text-gray-300 dark:bg-slate-800 dark:border-slate-600">
            <p class="text-lg mb-4">¿Estás seguro de eliminar el rol? <br>
                <span class="text-sm" id="roleName"> </span>
            </p>
            <div class="flex justify-around">
                <button id="cancelDeleteRole" class="bg-gray-300 text-gray-700 px-4 py-2 rounded dark:bg-slate-500 dark:text-gray-50 dark:hover:bg-slate-400">
                    Cancelar
                </button>
                <button id="confirmDeleteRole" class="bg-red-500 text-white px-4 py-2 rounded dark:bg-red-600 dark:text-gray-100 dark:hover:bg-red-500">
                    Eliminar
                </button>
            </div>
        </div>
    </div>

    <h2 class="font-bold text-xl text-gray-800 leading-tight lg:px-8 py-2 dark:text-white">
    {{ __('ROLES DEL SISTEMA') }}
    </h2>
    
    <div class="py-2">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg dark:bg-gray-800">
                <div class="p-6 text-gray-900 dark:text-gray-100">
                    <div class="flex justify-between items-center">
                        @can('crear-rol')
                            <a class="px-4 py-2 bg-naranja text-white font-bold rounded-md hover:bg-orange-700 focus:outline-none ml-auto" href="{{ route('roles.create') }}">
                                Nuevo
                            </a>
                        @endcan
                    </div>
                    
                    <table class="w-auto max-w-lg table-auto mt-2 mx-auto">
                        <thead class="bg-gray-200">
                            <tr class="text-gray-700 dark:bg-slate-600 dark:text-gray-300">
                                <th class="py-2 px-4 dark:border-slate-600 text-center">Rol</th>
                                <th class="py-2 px-4 dark:border-slate-600 text-center">Acciones</th>
                            </tr>
                        </thead>
                        <tbody class="bg-white text-gray-800 dark:text-gray-400 dark:bg-gray-900 ">
                            @foreach ($roles as $role)
                                <tr class="border border-gray-200 hover:bg-gray-100 dark:hover:bg-gray-700">
                                    <td class="border border-gray-200 py-2 px-4 dark:border-slate-600">{{ $role->name }}</td>
                                    <td class="border border-gray-200 py-2 px-4 dark:border-slate-600">
                                        @can('editar-rol')
                                            <a class="text-green-500 hover:text-green-700 dark:text-green-700 dark:hover:text-green-500" href="{{ route('roles.edit', $role->id) }}">
                                                <i class="fas fa-edit"></i>
                                            </a>
                                        @endcan

                                        @can('borrar-rol')
                                            <form action="{{ route('roles.destroy', $role->id) }}" method="POST" class="inline-block" id="deleteForm-{{ $role->id }}">
                                                @csrf
                                                @method('DELETE')
                                                <button type="button" class="text-red-500 hover:text-red-700 dark:text-red-700 dark:hover:text-red-500"
                                                        onclick="showDeleteModalRole({{ $role->id }}, '{{ $role->name }}')">
                                                    <i class="fas fa-trash-alt"></i>
                                                </button>
                                            </form>
                                        @endcan
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>

                    <div class="mt-4">
                        {{ $roles->links() }}
                    </div>

                </div>
            </div>
        </div>
    </div>
</x-app-layout>
