<x-app-layout>
    <div class="p-4 bg-white dark:bg-slate-800 rounded-lg shadow-md">
        <a href="{{ route('supports.index') }}" class="text-black hover:text-gray-500">
            <i class="fas fa-arrow-left dark:text-gray-300"></i>
        </a>

        <h1 class="text-2xl font-bold text-gray-700 dark:text-gray-300 mb-4 uppercase text-center">Indicador de
            casos</h1>

        <div class="relative overflow-x-auto shadow-md rounded-lg mt-4">
            <table class="min-w-full text-left text-sm border-collapse">
                <thead class="bg-gray-200 dark:bg-slate-600">
                    <tr class="text-gray-700 dark:text-gray-300">
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Tipo</th>
                        @php
                            $monthsInSpanish = [
                                1 => 'Enero',
                                2 => 'Febrero',
                                3 => 'Marzo',
                                4 => 'Abril',
                                5 => 'Mayo',
                                6 => 'Junio',
                                7 => 'Julio',
                                8 => 'Agosto',
                                9 => 'Septiembre',
                                10 => 'Octubre',
                                11 => 'Noviembre',
                                12 => 'Diciembre',
                            ];
                        @endphp

                        @for ($i = 1; $i <= 12; $i++)
                            <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $monthsInSpanish[$i] }}
                            </th>
                        @endfor

                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Promedio</th>
                    </tr>
                </thead>

                <tbody class="bg-white text-gray-500 dark:bg-slate-400">
                    @foreach ($indicators as $type => $months)
                        <tr class="dark:text-gray-100">
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $type }}
                            </td>
                            @for ($i = 1; $i <= 12; $i++)
                                <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                    {{ $months[$i] ?? 0 }}
                                </td>
                            @endfor
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ number_format($averages[$type], 1) }}
                            </td>
                        </tr>
                    @endforeach
                </tbody>

                <tfoot class="bg-gray-100 dark:bg-slate-500">
                    <tr class="text-gray-700 dark:text-gray-300">
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4"></td>
                        @foreach ($monthlyTotals as $total)
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $total }}
                            </td>
                        @endforeach
                        <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                            {{ number_format($generalAverage, 1) }}
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>

</x-app-layout>
