<x-app-layout>
    <div class="fixed inset-0 flex justify-center items-center bg-gray-800 bg-opacity-50">
        <div class="bg-white dark:bg-slate-800 p-6 rounded-lg w-full md:w-2/3 lg:w-1/2">

            <div class="flex justify-between items-center mb-4">
                <button onclick="closeForm()" class="text-xl text-gray-600 dark:text-gray-300">
                    <i class="fas fa-times"></i>
                </button>
            </div>

            <div class="pb-4">
                <h2 class="text-2xl text-center font-semibold text-gray-800 dark:text-gray-300">
                    @isset($task)
                        Editar Tarea
                    @else
                        Nueva Tarea
                    @endisset
                </h2>
            </div>

            <form id="taskForm" action="{{ isset($task) ? route('tasks.update', $task->id) : route('tasks.store') }}"
                method="POST">
                @csrf
                @isset($task)
                    @method('PUT')
                @endisset

                <div class="grid grid-cols-1 md:grid-cols-2 gap-4">
                    <div class="space-y-4">

                        <label for="activity"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Tarea</label>
                        <input type="text" name="activity" id="activity"
                            value="{{ old('activity', $task->activity ?? '') }}" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm text-gray-600 dark:text-gray-700
                            focus:border-slate-400 focus:ring-slate-400">
                        <span id="activityError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        @if ($errors->has('activity'))
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic">{{ $errors->first('activity') }}</span>
                        @endif

                        <label for="activity_date"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Fecha de la tarea</label>
                        <input type="date" name="activity_date" id="activity_date"
                            value="{{ old('activity_date', $task->activity_date ?? '') }}" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm text-gray-600 dark:text-gray-700
                            focus:border-slate-400 focus:ring-slate-400">
                        <span id="activityDateError"
                            class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        @if ($errors->has('activity_date'))
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic">{{ $errors->first('activity_date') }}</span>
                        @endif
                    </div>

                    <div class="space-y-4">

                        <label for="assigned_to"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Asignar a</label>
                        <select name="assigned_to" id="assigned_to" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm text-gray-600 dark:text-gray-700
                            focus:border-slate-400 focus:ring-slate-400">
                            @foreach ($users as $user)
                                <option value="{{ $user->id }}"
                                    {{ old('assigned_to', $task->assigned_to ?? '') == $user->id ? 'selected' : '' }}>
                                    {{ $user->name }}
                                </option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <div class="flex justify-end mt-6">
                    <button type="submit"
                        class="bg-naranja text-white py-2 px-6 rounded-md hover:bg-naranja-dark focus:outline-none focus:ring-2 focus:ring-naranja focus:ring-opacity-50">
                        Guardar
                    </button>
                </div>
            </form>
        </div>
    </div>

    <script>
        function closeForm() {
            window.history.back();
        }
    </script>
</x-app-layout>
