<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('support_cases', function (Blueprint $table) {
            $table->id();
            $table->date('request_date')->useCurrent();
            $table->string('type');
            $table->integer('type_count')->default(1);
            $table->foreignId('company_id')->nullable()->constrained('companies')->onDelete('set null');
            $table->integer('company_count')->default(1);
            $table->foreignId('client_id')->nullable()->constrained('clients')->onDelete('set null');
            $table->text('issue_description');
            $table->text('solution');
            $table->foreignId('consultant_id')->nullable()->constrained('users')->onDelete('set null');
            $table->integer('consultant_case_count')->default(1);
            $table->date('resolution_date');
            $table->time('start_time');
            $table->time('end_time');
            $table->string('opportunity', 255)->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('support_cases');
    }
};
