<x-app-layout>

    @if (session()->has('success') || session()->has('error') || session()->has('deleted') || session()->has('errors'))
        <div id="messageModal" class="fixed inset-0 flex items-center justify-center z-50">
            <div class="bg-white border border-gray-300 rounded-lg shadow-lg p-6 text-center max-w-sm w-full">
                @if (session()->has('success'))
                    <div class="text-green-700 bg-white border-l-4 border-green-500 p-3 rounded-lg">
                        <strong>Éxito:</strong> {{ session()->get('success') }}
                    </div>
                @endif
                @if (session()->has('error'))
                    <div class="text-red-700 bg-white border-l-4 border-red-500 p-3 rounded-lg">
                        <strong>Error:</strong> {{ session()->get('error') }}
                    </div>
                @endif
                @if (session()->has('deleted'))
                    <div class="text-red-700 bg-white border-l-4 border-red-500 p-3 rounded-lg">
                        <strong>Éxito:</strong> {{ session()->get('deleted') }}
                    </div>
                @endif
                @if (session()->has('errors'))
                    <div class="text-red-700 bg-white border-l-4 border-red-500 p-3 rounded-lg">
                        <strong>Error:</strong> {{ session()->get('errors') }}
                    </div>
                @endif
            </div>
        </div>
    @endif

    <!-- Modal de confirmación -->
    <div id="deleteCompanieModal" class="fixed inset-0 flex items-center justify-center z-50 hidden">
        <div
            class="bg-white border border-gray-300 rounded-lg shadow-lg p-6 text-center max-w-sm w-full dark:text-gray-300 dark:bg-slate-800 dark:border-slate-600">
            <p class="text-lg mb-4">¿Estás seguro de eliminar la empresa? <span class="text-sm" id="companiName">
                </span></p>
            <div class="flex justify-around">
                <button id="cancelDeleteCompanie"
                    class="bg-gray-300 text-gray-700 px-4 py-2 rounded dark:bg-slate-500 dark:text-gray-50 dark:hover:bg-slate-400">Cancelar</button>
                <button id="confirmDeleteCompanie"
                    class="bg-red-500 text-white px-4 py-2 rounded dark:bg-red-600 dark:text-gray-100 dark:hover:bg-red-500">Eliminar</button>
            </div>
        </div>
    </div>


    <div class="p-4 bg-white dark:bg-slate-800 rounded-lg shadow-md">

        <a href="{{ route('supports.index') }}" class=" text-black hover:text-gray-500">
            <i class="pb-4 fas fa-arrow-left dark:text-gray-300"></i>
        </a>

        <div class="block md:flex items-center justify-between">
            <div class="md:hidden">
                <button id="menu-toggle" class="bg-naranja text-white px-3 py-2 rounded-lg">
                    <i class="fas fa-bars"></i>
                </button>
                <div id="menu" class="hidden flex flex-col mt-2 space-y-2">
                    <p class="text-xl  text-gray-700 dark:text-gray-300 flex items-center">Empresas
                    </p>

                    <a href="{{ route('companies.create') }}"
                        class="bg-naranja w-full py-2 rounded-lg text-white text-center">Nueva</a>
                </div>
            </div>

            <!-- Categorías visibles en pantallas grandes -->
            <div class="hidden md:flex space-x-4">
                <p class="text-xl text-gray-700 dark:text-gray-300 flex items-center">Empresas
                </p>
            </div>

            <a href="{{ route('companies.create') }}"
                class="hidden md:block h-6 bg-naranja hover:bg-orange-400 w-20 rounded-xl text-center text-white ml-auto">
                Nueva
            </a>
        </div>

        <div class="relative overflow-x-auto shadow-md rounded-lg mt-4">
            <table class="min-w-full text-left border-collapse">
                <thead class="bg-gray-200">

                    <tr class="text-gray-700 dark:bg-slate-600 dark:text-gray-300">
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">#</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Empresa</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Creado</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Actualizado</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Acción</th>
                    </tr>
                </thead>
                <tbody class="bg-white text-gray-500 dark:bg-slate-400">
                    @foreach ($companies as $company)
                        <tr class="dark:text-gray-100">
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $company->id }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $company->name }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $company->created_at->format('d/m/Y H:i') }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $company->updated_at->format('d/m/Y H:i') }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <a href="{{ route('companies.edit', $company->id) }}"
                                    class="text-green-500 hover:text-green-700 dark:text-green-700 dark:hover:text-green-500">
                                    <i class="fas fa-edit"></i>
                                </a>

                                <form action="{{ route('companies.destroy', $company->id) }}" method="POST"
                                    class="inline-block" id="deleteForm-{{ $company->id }}">
                                    @csrf
                                    @method('DELETE')
                                    <button type="button"
                                        class="text-red-500 hover:text-red-700 dark:text-red-700 dark:hover:text-red-500"
                                        onclick="showDeleteModalCompanie({{ $company->id }}, '{{ $company->name }}')">
                                        <i class="fas fa-trash-alt"></i>
                                    </button>
                                </form>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
        <div class="mt-4">
            {{ $companies->links() }}
        </div>
    </div>
</x-app-layout>
