<x-app-layout>

    @if (session()->has('success') || session()->has('error') || session()->has('deleted'))
        <div id="messageModal" class="fixed inset-0 flex items-center justify-center z-50">
            <div class="bg-white border border-gray-300 rounded-lg shadow-lg p-6 text-center max-w-sm w-full">
                @if (session()->has('success'))
                    <div class="text-green-700 bg-white border-l-4 border-green-500 p-3 rounded-lg">
                        <strong>Éxito:</strong> {{ session()->get('success') }}
                    </div>
                @endif
                @if (session()->has('error'))
                    <div class="text-red-700 bg-white border-l-4 border-red-500 p-3 rounded-lg">
                        <strong>Error:</strong> {{ session()->get('error') }}
                    </div>
                @endif
                @if (session()->has('deleted'))
                    <div class="text-red-700 bg-white border-l-4 border-red-500 p-3 rounded-lg">
                        <strong>Éxito:</strong> {{ session()->get('deleted') }}
                    </div>
                @endif
            </div>
        </div>
    @endif

    <!-- Modal de confirmación -->
    <div id="deleteGoalModal" class="fixed inset-0 flex items-center justify-center z-50 hidden">
        <div
            class="bg-white border border-gray-300 rounded-lg shadow-lg p-6 text-center max-w-sm w-full dark:text-gray-300 dark:bg-slate-800 dark:border-slate-600">
            <p class="text-lg mb-4">¿Estás seguro de eliminar la meta? <span class="text-sm" id="goalName"> </span></p>
            <div class="flex justify-around">
                <button id="cancelDeleteGoal"
                    class="bg-gray-300 text-gray-700 px-4 py-2 rounded dark:bg-slate-500 dark:text-gray-50 dark:hover:bg-slate-400">Cancelar</button>
                <button id="confirmDeleteGoal"
                    class="bg-red-500 text-white px-4 py-2 rounded dark:bg-red-600 dark:text-gray-100 dark:hover:bg-red-500">Eliminar</button>
            </div>
        </div>
    </div>


    <div class="p-4 bg-white dark:bg-slate-800 rounded-lg shadow-md">

        <!-- Menú de categorías -->
        <div class="block md:flex items-center justify-between p-2">
            <!-- Menú hamburguesa en móviles -->
            <div class="md:hidden">
                <button id="menu-toggle" class="bg-naranja text-white px-3 py-2 rounded-lg">
                    <i class="fas fa-bars"></i>
                </button>
                <div id="menu" class="hidden flex flex-col mt-2 space-y-2">
                    <p class="text-xl px-2 text-gray-700 dark:text-gray-300 flex items-center">Metas de la semana
                        <strong class="px-1">{{ $currentWeekNumber }} </strong>
                    </p>
                    <a href="{{ route('goals.progress') }}"
                        class="bg-naranja w-full py-2 rounded-lg text-white text-center">Progreso</a>
                    <a href="{{ route('goals.previous') }}"
                        class="bg-naranja w-full py-2 rounded-lg text-center text-white">Anteriores</a>
                    <a href="{{ route('goals.create') }}"
                        class="bg-naranja w-full py-2 rounded-lg text-white text-center">
                        Nuevo
                    </a>
                </div>
            </div>

            <!-- Categorías visibles en pantallas grandes -->
            <div class="hidden md:flex space-x-4">
                <a href="{{ route('goals.progress') }}"
                    class="h-6 bg-naranja hover:bg-orange-400 w-42 rounded-xl px-2 text-white flex items-center">Progreso</a>
                <a href="{{ route('goals.previous') }}"
                    class="h-6 bg-naranja hover:bg-orange-400 w-42 rounded-xl px-2 text-white flex items-center">Anteriores</a>

                <p class="text-xl px-2 text-gray-700 dark:text-gray-300 flex items-center">Metas de la semana
                    <strong class="px-1">{{ $currentWeekNumber }} </strong>
                </p>
            </div>

            <a href="{{ route('goals.create') }}"
                class="hidden md:block h-6 bg-naranja hover:bg-orange-400 w-20 rounded-xl text-center text-white ml-auto">
                Nuevo
            </a>
        </div>

        <div class="relative overflow-x-auto shadow-md rounded-lg mt-4">
            <table class="min-w-full text-left text-sm border-collapse">
                <thead class="bg-gray-200">
                    <tr class="text-gray-700 dark:bg-slate-600 dark:text-gray-300">
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">#</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Título</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Descripción</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Cantidad</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Completadas</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Fecha Inicio</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Fecha Fin</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Creado</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Actualizado</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Acción</th>
                    </tr>
                </thead>
                <tbody class="bg-white text-gray-500 dark:bg-slate-400">
                    @foreach ($goals as $goal)
                        <tr class="dark:text-gray-100">
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $goal->user_id }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $goal->title }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $goal->description }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $goal->total_goals }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $goal->completed_goals }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $goal->start_date }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $goal->end_date }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $goal->created_at->format('d/m/Y H:i') }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $goal->updated_at->format('d/m/Y H:i') }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <a href="{{ route('goals.edit', $goal->id) }}"
                                    class="text-green-500 hover:text-green-700 dark:text-green-700 dark:hover:text-green-500">
                                    <i class="fas fa-edit"></i>
                                </a>

                                <form action="{{ route('goals.destroy', $goal->id) }}" method="POST"
                                    class="inline-block" id="deleteForm-{{ $goal->id }}">
                                    @csrf
                                    @method('DELETE')
                                    <button type="button"
                                        class="text-red-500 hover:text-red-700 dark:text-red-700 dark:hover:text-red-500"
                                        onclick="showDeleteModalGoal({{ $goal->id }}, '{{ $goal->title }}')">
                                        <i class="fas fa-trash-alt"></i>
                                    </button>
                                </form>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
        <div class="mt-4">
            {{ $goals->links() }}
        </div>
    </div>

</x-app-layout>
