<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ config('app.name', 'Teknologix') }}</title>

    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@400;500;700&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">

    @vite(['resources/css/app.css', 'resources/js/app.js'])
</head>


<body x-data="{ expanded: false }" class="font-sans antialiased">
    <div class="flex min-h-screen bg-gray-100 dark:bg-gray-900">
        @include('layouts.sidebar')


        <div :class="expanded ? 'ml-40' : 'ml-16'" class="flex-1 transition-all duration-300 overflow-y-auto">
            @include('layouts.navigation')


            @isset($header)
                <header class="bg-white shadow dark:bg-gray-800">
                    <div class="px-4 py-6 mx-auto max-w-7xl sm:px-6 lg:px-8">
                        {{ $header }}
                    </div>
                </header>
            @endisset

            <main class="p-2">
                {{ $slot }}
            </main>
        </div>
    </div>

    {{-- Script de validaciones en tiempo real --}}
    <script src="{{ asset('js/validation_goals.js') }}"></script>
    <script src="{{ asset('js/validation_tasks.js') }}"></script>
    <script src="{{ asset('js/validation_cases.js') }}"></script>
    <script src="{{ asset('js/validation_companies.js') }}"></script>
    <script src="{{ asset('js/validation_clients.js') }}"></script>

    {{-- Script de confirmación para la eliminación de un registro --}}
    <script src="{{ asset('js/modal_confirmation_goal.js') }}"></script>
    <script src="{{ asset('js/modal_confirmation_task.js') }}"></script>
    <script src="{{ asset('js/modal_confirmation_case.js') }}"></script>
    <script src="{{ asset('js/modal_confirmation_client.js') }}"></script>
    <script src="{{ asset('js/modal_confirmation_companie.js') }}"></script>

    {{-- Script para ocultar el mensaje despues de 3 segundos --}}
    <script src="{{ asset('js/messages_modals.js') }}"></script>
    {{-- botón menú cuando está en pantallas pequeñas --}}
    <script src="{{ asset('js/menu_md.js') }}"></script>

</body>


</html>
