<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Roles') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 text-gray-900">
                    @can('crear-rol')
                        <a class="px-4 py-2 bg-yellow-500 text-white font-bold rounded-md hover:bg-yellow-600 focus:outline-none focus:ring-2 focus:ring-yellow-500" href="{{ route('roles.create') }}">
                            Nuevo
                        </a>
                    @endcan

                    <table class="min-w-full table-auto mt-4">
                        <thead class="bg-indigo-600 text-white">
                            <tr>
                                <th class="py-2 px-4 text-left">Rol</th>
                                <th class="py-2 px-4 text-left">Acciones</th>
                            </tr>
                        </thead>
                        <tbody class="bg-white text-gray-800">
                            @foreach ($roles as $role)
                                <tr class="border-t hover:bg-gray-100">
                                    <td class="py-2 px-4">{{ $role->name }}</td>
                                    <td class="py-2 px-4">
                                        @can('editar-rol')
                                            <a class="px-4 py-2 bg-blue-500 text-white font-bold rounded-md hover:bg-blue-600 focus:outline-none focus:ring-2 focus:ring-blue-500" href="{{ route('roles.edit', $role->id) }}">
                                                Editar
                                            </a>
                                        @endcan

                                        @can('borrar-rol')
                                            <form action="{{ route('roles.destroy', $role->id) }}" method="POST" class="inline-block">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="px-4 py-2 bg-red-500 text-white font-bold rounded-md hover:bg-red-600 focus:outline-none focus:ring-2 focus:ring-red-500" onclick="return confirm('¿Seguro que deseas eliminar este rol?')">
                                                    Borrar
                                                </button>
                                            </form>
                                        @endcan
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>

                    <div class="mt-4">
                        {{ $roles->links() }}
                    </div>

                </div>
            </div>
        </div>
    </div>
</x-app-layout>
